Get Collection
GEThttps://api.confident-ai.com/v1/metric-collections/{metricCollectionId}
Retrieves a single metric collection by its metricCollectionId, with the metrics and settings inside it.
curl -X GET "https://api.confident-ai.com/v1/metric-collections/{metricCollectionId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"metricCollection": {
"id": "COLLECTION-ID",
"name": "Collection Name",
"multiTurn": false,
"sampleRate": 1,
"inputTransformerId": null,
"outputTransformerId": null,
"metricsSettings": [
{
"metric": {
"name": "Answer Relevancy"
},
"activated": true,
"threshold": 0.8,
"includeReason": true,
"strictMode": false,
"sampleRate": 1,
"evaluationModelProvider": null,
"evaluationModelName": null
}
]
}
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
metricCollectionIdstringRequiredThe id of the metric collection you want to retrieve.
Response
The requested metric collection.
successbooleanIndicates if the request was successful.
dataobjectThe metric collection. Create and update also return its
idalongside it.Show 1 propertyHide 1 property
metricCollectionobjectA metric collection and the metrics configured inside it.
Show 7 propertiesHide 7 properties
idstringThis is the id of the metric collection.
namestringThis is the name of the metric collection, which should be supplied to the evals API to run evaluations remotely.
multiTurnbooleanThis is true if the metric collection is a multi-turn collection, which only contains multi-turn metrics for multi-turn evaluations.
sampleRatenumberThe share of eligible entities the collection is run against.
inputTransformerIdstringThe transformer that reshapes the payload before evaluation, if one is set.
outputTransformerIdstringThe transformer that reshapes the result after evaluation, if one is set.
metricsSettingslist of objectsThe settings for each metric in the collection, which can also be configured on Confident AI's metric collection page.
Show 8 propertiesHide 8 properties
metricobjectThis is a metric object, which contains the metric name.
Show 1 propertyHide 1 property
namestringThis is the name of the metric.
activatedbooleanThis is true if the metric is activated. Only activated metrics are used for evaluations. Non-activated metrics are skipped.
thresholdnumberThis is the threshold for the metric, which determines if the metric passes or fails depending on if the metric score is above or below the threshold.
includeReasonbooleanThis is true if the reason for the metric score is generated during evaluations.
strictModebooleanThis is true if the metric is in strict mode. Metrics in strict mode output a binary score of 0 or 1, indicating pass or fail, as opposed to a continuous score from 0 to 1.
sampleRatenumberThis is the probability of the metric being ran for evaluation.
evaluationModelProviderenumThe provider of the model this metric is evaluated with, if it overrides the project default.
Show 18 enum valuesHide 18 enum values
OPEN_AICUSTOMCONFIDENT_AIBEDROCKANTHROPICGEMINIX_AIDEEPSEEKMOONSHOT_AIVERTEX_AIAZUREMISTRALPERPLEXITYOPEN_ROUTERPORTKEYLITE_LLMTRUE_FOUNDRYHUGGING_FACE
evaluationModelNamestringThe model this metric is evaluated with, if it overrides the project default.
deprecatedbooleanIndicates if this endpoint is deprecated.